﻿<!--File Name: SelectedMap.cshtml-->
<!--File Description: Creates the view for the administrator to make changes to a single map.-->
<!DOCTYPE html>
<html>
<head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script>
        $(document).ready(function () {
            $("#info_button").click(function () {
                $("#instructions").toggle()
            });

            $("#info_button").click(function () {
                $(this).text(function (i, v) {
                    return v === 'Show More' ? 'Show Less' : 'Show More'
                })
            });

            var radioValue = $("input[name='mapType']:checked").val();
            if (radioValue == "true") {
                //alert("Your are a - " + radioValue);
                document.getElementById('boothMaps').style.display = 'block';
                document.getElementById('smartMapImport').style.display = 'block';
            }
        });
    </script>
</head>
<body>
    <!--Set ViewData-->
    @{
        ViewData["Title"] = @ViewBag.selectedmap.name;
    }
    <div class="page-header row"><h2>@ViewData["Title"]</h2></div>

    <div class="white-background" style="padding: 15px;">


        <a href="~/Admin/AdminMap" class="btn btn-default" style="margin: 1% 0">Back to Admin Maps Page</a><br />
        <strong style="font-size: 25px">Instructions:</strong>
        <button id="info_button">Show More</button>

        <div id="instructions">
            <strong>Choose File - </strong>Select a PDF file to use for this map. This file will be uploaded from your computer.<br />
            <strong>Booth vs. Campus Map - </strong>Select the button describing which type of map this is.<br />
            <strong>Map Name - </strong>Name of the map, as it will be displayed on the website.<br />
            <strong>SmartMap - </strong>(for Booth Maps only) Select a file to use as an interactive map, if one exists.<br />
            <strong>Prefix - </strong>(for Booth Maps only) Prefix that booth numbers for this map will have.<br />
            <strong>Resume Drop Prefix - </strong>(for Booth Maps only) Prefix indicating that a company has a resume drop in this map.<br />
            <br />
            Once you are done editing a map, hit "Save Map." Only work on one map at once; when the save button is hit for one map, changes made to other maps will be lost.<br />
        </div>


        <form class="row" action="SelectedMap" enctype="multipart/form-data" method="post">
            <div class="col-md-3">
                <fieldset>
                    <label for="notes">Map Name</label>
                    <br />
                    <input type="text" name="names" class="input-text" value="@ViewBag.selectedMap.name">
                    <br />
                    @if (!ViewBag.selectedMap.isBoothMap)
                    {
                        <div id="mapTypeSelector">
                            <label for="mapTypeSelector">Select which type of map this is </label><br />
                            <input type="radio" id="r1" name="mapType" value="true" />
                            <label for="r1">Booth Map</label>

                            <input type="radio" id="r2" name="mapType" value="false" checked />
                            <label for="r2">Campus Map</label>
                        </div>
                    }
                    else
                    {
                        <div id="mapTypeSelector">
                            <label for="mapTypeSelector">Select which type of map this is </label><br />
                            <input type="radio" id="r1" name="mapType" value="true" checked />
                            <label for="r1">Booth Map</label>

                            <input type="radio" id="r2" name="mapType" value="false" />
                            <label for="r2">Campus Map</label>
                        </div>
                    }
                    <br />
                    <label for="images">Import a pdf map</label>
                    <input type="file" name="images" accept=".pdf">
                    <p><strong>Current: </strong>@ViewBag.selectedMap.fileName</p>
                </fieldset>
            </div>
            <div id="boothMaps">
                <div class="col-md-3">
                    <br />
                    <label for="notes">Map Prefix</label>
                    <br />
                    <input type="text" name="prefixes" class="input-text" value="@ViewBag.selectedMap.prefix[0]">
                    <br />
                    <label for="notes">Resume Drop Prefix (opt.)</label>
                    <br />
                    <input type="text" name="rdPrefixes" class="input-text" value="@ViewBag.selectedMap.prefix[1]">
                    <br />
                </div>
            </div>
            <div id="smartMapImport" class="col-md-3">
                <div>
                    <label for="smartMap">Smart Map (opt.)</label>
                    <br />
                    <select name="smartMaps" style="min-width: 180px !important;">
                        <option value="">-----</option>
                        @foreach (FileInfo file in ViewBag.files)
                        {
                            if (file.Name != "homeConfig.json" && file.Name != "mapConfig.json" && file.Name != "tipsConfig.json")
                            {
                                if (ViewBag.selectedMap.smartMap.Equals(file.Name))
                                {
                                    <option value=@file.Name selected>@file.Name</option>
                                }
                                else
                                {
                                    <option value=@file.Name>@file.Name</option>
                                }
                            }
                        }
                    </select>
                    <input type="hidden" value="@ViewBag.mapConfigIndex" name="mapConfigIndex" />
                    @if (ViewBag.selectedMap.smartMap != "")
                    {
                        <input type="button" onClick="location.href='EditMap?fileName=@(ViewBag.selectedMap.smartMap)&index=@(ViewBag.mapConfigIndex)'" value="Edit Smart Map" />
                        <button type="submit" value="Remove Smart Map" name="remove" style="margin-top: 5px;" onclick="return confirm('Pressing OK will permanently delete this smart map, are you sure you want to delete this map?')">Remove Smart Map</button>
                    }
                    else
                    {
                        <input style="margin-top: 5px" type="button" onClick="location.href='EditMap'" value="Create Smart Map" />
                    }
                    <br />
                    <br />
                    <fieldset enctype="multipart/form-data" method="post">
                        <label for="csv">Import an existing csv file for the smart map</label>
                        <input type="file" name="csv" accept=".csv" />
                    </fieldset>
                </div>
            </div>
            <div class="col-md-3" style="text-align: right">
                <input type="submit" value="Save Map" name="saveMap" style="margin-top: 5px;">
                <br />
        </form>
        <form action="AdminMap" method="post">
            <button type="submit" value="Remove Map" name="remove" style="margin-top: 5px;" onclick="return confirm('Pressing OK will permanently delete this map, are you sure you want to delete this map?')">Remove Map</button>
            <input type="hidden" value="@ViewBag.mapConfigIndex" name="theIndex" />
        </form>
    </div>
    </div>
</body>
</html>
